> For the complete documentation index, see [llms.txt](https://docs.calypso.money/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.calypso.money/api-reference/currency-api.md).

# Currency API

API for currencies

## Get all currencies

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Currency API","description":"API for currencies"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/currency":{"post":{"tags":["Currency API"],"summary":"Get all currencies","description":"Permission annotations:","operationId":"getCurrencies","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyContainer"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CurrenciesResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"EmptyContainer":{"required":["timestamp"],"type":"object","properties":{"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"}},"description":"Object with request data"},"CurrenciesResponseDTO":{"required":["cryptoCurrencies","fiatCurrencies"],"type":"object","properties":{"fiatCurrencies":{"type":"array","description":"List of available fiat currencies","items":{"type":"string"}},"cryptoCurrencies":{"type":"array","description":"List of available crypto currencies","items":{"type":"string"}}},"description":"Response with available currencies"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get all fiat currencies

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Currency API","description":"API for currencies"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/currency/fiat":{"post":{"tags":["Currency API"],"summary":"Get all fiat currencies","description":"Permission annotations:","operationId":"getFiatCurrencies","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyContainer"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FiatCurrencyMetadataListPGDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"EmptyContainer":{"required":["timestamp"],"type":"object","properties":{"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"}},"description":"Object with request data"},"FiatCurrencyMetadataListPGDTO":{"required":["result"],"type":"object","properties":{"result":{"type":"array","items":{"$ref":"#/components/schemas/FiatCurrencyMetadataDTO"}}}},"FiatCurrencyMetadataDTO":{"required":["active","currency","name"],"type":"object","properties":{"currency":{"$ref":"#/components/schemas/FiatCurrency"},"name":{"type":"string"},"round":{"type":"integer","format":"int32"},"active":{"type":"boolean"}}},"FiatCurrency":{"type":"string"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get crypto currencies full info

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Currency API","description":"API for currencies"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/currency/crypto/full-info":{"post":{"tags":["Currency API"],"summary":"Get crypto currencies full info","description":"Permission annotations:","operationId":"getCryptoCurrenciesFullInfo","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyContainer"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CryptoCurrenciesFullInfoResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"EmptyContainer":{"required":["timestamp"],"type":"object","properties":{"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"}},"description":"Object with request data"},"CryptoCurrenciesFullInfoResponseDTO":{"required":["cryptoCurrencies"],"type":"object","properties":{"cryptoCurrencies":{"type":"array","description":"List of available crypto currencies full info","items":{"$ref":"#/components/schemas/CryptoCurrencyFullInfoDTO"}}},"description":"Response with available crypto currencies full info"},"CryptoCurrencyFullInfoDTO":{"required":["baseCurrency","blockchainScale","currency","name","network","recommendedDisplayScale","token"],"type":"object","properties":{"currency":{"type":"string","description":"Crypto currency ticker"},"baseCurrency":{"type":"string","description":"Base crypto currency ticker"},"name":{"type":"string","description":"Crypto currency name"},"token":{"type":"boolean","description":"Crypto currency is token or not"},"network":{"type":"string","description":"Crypto currency network"},"recommendedDisplayScale":{"type":"integer","description":"Recommended scale for display for this cryptocurrency","format":"int32"},"blockchainScale":{"type":"integer","description":"The scale used for the blockchain of this cryptocurrency","format":"int32"}},"description":"Crypto currency full info"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.calypso.money/api-reference/currency-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
